function on_init_dialog()

	
	dialog.theme_flags = 2
	dialog.bevel_type = "none"

	dialog:load_content('mining_about')

	

	if not materials_amount then
		materials_amount = 6
	end


	if not materials_images then
		if g_device.is_tablet then
			materials_images = {'ico_1_ipad'}
		else
			materials_images = {'ico_1'}
		end
	end

	if not materials_counts then
		materials_counts = {100}
	end

	local template_rect

	if  materials_amount == 6 or materials_amount == 4 then
		if g_device.is_tablet then template_rect = { 515, 383, 530, 420    } else template_rect = { 100, 40, 300, 300    } end
	else
	   	if g_device.is_tablet then template_rect = { 515, 383, 530, 320    } else template_rect = { 100, 40, 300, 220    } end
	end

	dialog.rect = template_rect

	if  materials_amount ~= 6 and materials_amount ~= 4 then
		local plate_hi = dialog:find_child('plate_hi', true, false)
		local _rect 
		if g_device.is_tablet then _rect = { 35, 162, 460, 95    }  else _rect = { 16, 110, 271, 61 } end
		plate_hi.rect = _rect

		local plate_low = dialog:find_child('plate_materials', true, false)
		local __rect 
		if g_device.is_tablet then __rect =  { 35, 43, 460, 113    } else __rect =  { 16, 32, 271, 72    } end
		plate_low.rect = __rect
		if g_device.is_tablet then
			plate_low.image_name = "info_alert_item_ipad"
		else
			plate_low.image_name = "info_alert_item"
		end
		local info_label = dialog:find_child('about_label', true, false)
		local info_rect 
		if g_device.is_tablet then info_rect = { 35, 271, 430, 28    } else info_rect = { 30, 181, 220, 28    } end
		info_label.rect = info_rect		
	end
	

	if not materials_names then
		materials_names = {'Металлические ограждения'}
	end
		

	local start_rect
	local material_cell

	local cell_x, cell_y

	

	local plate = dialog:find_child('plate_materials', true, false)
	if materials_amount == 3 or materials_amount == 6 then

		cell_x = 30
		
		if materials_amount == 3 then
			cell_y = 12
		else
			if g_device.is_tablet then cell_y = 102 else cell_y = 82 end 
		end

		local separator_c = dialog:find_child('vertical_separator_c', true, false)
		separator_c.visible = false

		if materials_amount == 3 then
			local separator_h = dialog:find_child('horizontal_separator', true, false)
			separator_h.visible = false
		end

		for num_cell = 1, materials_amount do
			start_rect = {cell_x, cell_y, 100, 100}
	
			material_cell = plate:create_child(start_rect)
			framework:json_ui_manager():build_from_resource("contract_material_cell", material_cell)
			material_cell.rect = start_rect
			if g_device.is_tablet then cell_x = cell_x+150 else cell_x = cell_x+90 end
			if num_cell == 3 then
				if g_device.is_tablet then cell_y = cell_y-90 else cell_y = cell_y-70 end
				cell_x = 30
			end

			local item_material = material_cell:find_child("item_image", true, false)
    		if item_material then
        		item_material.texture_name = materials_images[num_cell]
    		end
			local item_count = material_cell:find_child("item_label", true, false)
    		if item_count then
        		item_count.caption = 'x ' .. materials_counts [num_cell]
    		end
			local item_name = material_cell:find_child("item_caption", true, false)
    		if item_name then
        		item_name.caption = materials_names [num_cell]
    		end


		end

	else

		if materials_amount == 4 or materials_amount == 2 then

			if g_device.is_tablet then cell_x = 80 else cell_x = 30  end
	
			if materials_amount == 2 then
				cell_y = 12
			else
				if g_device.is_tablet then cell_y = 102 else cell_y = 82 end
		end

			local separator_l = dialog:find_child('vertical_separator_l', true, false)
			separator_l.visible = false

			local separator_r = dialog:find_child('vertical_separator_r', true, false)
			separator_r.visible = false

			if materials_amount == 2 then      
				local separator_h = dialog:find_child('horizontal_separator', true, false)  
				separator_h.visible = false
			end
			
			for num_cell = 1, materials_amount do
				start_rect = {cell_x, cell_y, 100, 100}
	
				material_cell = plate:create_child(start_rect)
				framework:json_ui_manager():build_from_resource("contract_material_cell_big", material_cell)
				material_cell.rect = start_rect
				if g_device.is_tablet then cell_x = cell_x+230 else cell_x = cell_x+130 end
				if num_cell == 2 then
					if g_device.is_tablet then cell_y = cell_y-90 else cell_y = cell_y-70 end
					if g_device.is_tablet then cell_x = 80 else cell_x = 30  end
				end

				local item_material = material_cell:find_child("item_image", true, false)
    			if item_material then
        			item_material.texture_name = materials_images[num_cell]
    			end
				local item_count = material_cell:find_child("item_label", true, false)
    		if item_count then
        		item_count.caption = 'x ' .. materials_counts [num_cell]
    		end
			local item_name = material_cell:find_child("item_caption", true, false)
    		if item_name then
        		item_name.caption = materials_names [num_cell]
    		end
			end
		
		end
	end

    if materials_amount == 1 then

			if g_device.is_tablet then cell_x = 180 else cell_x = 100 end
			local separator_c = dialog:find_child('vertical_separator_c', true, false)
			separator_c.visible = false

			local separator_l = dialog:find_child('vertical_separator_l', true, false)
			separator_l.visible = false

			local separator_r = dialog:find_child('vertical_separator_r', true, false)
			separator_r.visible = false

			local separator_h = dialog:find_child('horizontal_separator', true, false)  
			separator_h.visible = false

			cell_y = 12

			start_rect = {cell_x, cell_y, 100, 100}
	
			material_cell = plate:create_child(start_rect)
			framework:json_ui_manager():build_from_resource("contract_material_cell_big", material_cell)
			material_cell.rect = start_rect
			
		
			local item_material = material_cell:find_child("item_image", true, false)
    		if item_material then
        		item_material.texture_name = materials_images[1]
    		end
			local item_count = material_cell:find_child("item_label", true, false)
    		if item_count then
        		item_count.caption = 'x ' .. materials_counts [1]
    		end
			local item_name = material_cell:find_child("item_caption", true, false)
    		if item_name then
        		item_name.caption = materials_names [1]
    		end

	end

	if materials_amount == 3 then
		local separator_l = dialog:find_child('vertical_separator_l', true, false)
		if g_device.is_tablet then
			separator_l.image_name = "info_alert_item_separator_ipad"
		else
			separator_l.image_name = "info_alert_item_separator"
		end

		local separator_r = dialog:find_child('vertical_separator_r', true, false)
		if g_device.is_tablet then
			separator_r.image_name = "info_alert_item_separator_ipad"
		else
			separator_r.image_name = "info_alert_item_separator"
		end

	end

	if materials_amount == 2 then
		local separator_c = dialog:find_child('vertical_separator_c', true, false)
		if g_device.is_tablet then
			separator_c.image_name = "info_alert_item_separator_ipad"
		else
			separator_c.image_name = "info_alert_item_separator"
		end
	end

	local img = dialog:find_child('factory_image',true,false)
    if img then
        img.texture_name = factory_name
    end


	local descr_label = dialog:find_child('name_label', true, false)
		if descr_label then
			descr_label.caption = factory_descr
		end

	if max_built then
		local upgr_label = dialog:find_child('upgr_button_label', true, false)
			if upgr_label then
				upgr_label.caption = upgr_label_name
			end
	end

end

function on_button_add_action()
	if open_contracts_tab then
		open_contracts_tab ()
	end
end
function on_button_upgrade_action()

	if max_built then

		if show_on_field then
			show_on_field ()
			dialog:end_dialog()
		end
	else
		if open_upgrade_tab then
			open_upgrade_tab ()
		end

	end

end
