function on_init_dialog( )
    dialog.theme_flags = 2
    dialog.bevel_type = 0
    dialog.draw_arg_type = 1

    if quest_location_controller then
        m_controller = quest_location_controller
    end
    
	dialog:load_content('quest_location_reward_dlg')
    
    local m_ok_btn = dialog:find_child("ok_button", true, false)
    if m_ok_btn then
        m_ok_btn.action = on_ok_btn
    end
    
    local descr_label = dialog:find_child('description_label', true, false)
	if descr_label then
		print("found description_label")
		descr_label.caption = m_controller:get_description_string()
	end

    local item_image = dialog:find_child("item_image",true,false)
    if item_image then
        item_image.texture_name = m_controller:get_icon_name()
        print("[quest_location_reward_dlg] use location texture with name",item_image.texture_name)
    end
end

function on_post_init_dialog( )
end

function end_dialog( )
end

function on_ok_btn()
    dialog:end_dialog()
end