
-- builder for wall information

-- build wall post
-- params:
-- 1. post_caption (game display name if empty)
-- 2. post_name
-- 3. post_description
-- 4. post_message (empty default)

function build_wall_post(raw_string, request_name, request_type)
	local params = {}
	params["post_caption"] = ""
	params["post_message"] = ""
	params["post_name"] = ""
	params["post_description"] = raw_string

	local index = string.find(raw_string, "\n\n")
	if index then
		params["post_name"] = string.gsub(string.sub(raw_string, 1, index-1), "\n", " ")
		params["post_description"] = string.gsub(string.sub(raw_string, index + 2), "\n", " ")
	end

	if request_type == "personal_message" then
		params["receive_post_id"] = "2495"
	end
	if request_type == "ask_gift" then
		params["receive_post_id"] = "2532"
	end
	if request_type == "ask_gift" then
		params["receive_post_id"] = "2532"
	end
	if request_name == "recover_contract" then
		params["receive_post_id"] = "2531"
	end
	if request_name == "help_contract" then
		params["receive_post_id"] = "2530"
	end
	if request_name == "send_gift" then
		params["receive_post_id"] = "2564"
	end
	if request_name == "invite_friend_direct" then
		params["receive_post_id"] = "2528"
		params["use_friend_name"] = "yes"
	end
	if request_name == "invite_neighbors" then
		params["receive_post_id"] = "2528"
		params["use_friend_name"] = "yes"
	end

	return params
end

