/* fragment water shader for earth */

#ifdef GL_ES
precision mediump float;
#define LOWP lowp
#define MEDIUMP mediump
#else
#define LOWP
#define MEDIUMP
#endif

varying vec2 tCoords;
varying vec2 tCoordsBrush1;
varying vec2 tCoordsBrush2;
varying LOWP vec4 color;
uniform LOWP sampler2D texture;
uniform LOWP sampler2D texture_brush1;
uniform LOWP sampler2D texture_brush2;


void main() {
    LOWP vec4 tex = texture2D(texture, tCoords);
    LOWP vec3 tbrush = texture2D(texture_brush1,tCoordsBrush1).rgb;          /// use one texture as two tiles
    LOWP vec3 tbrush2 = texture2D(texture_brush2,tCoordsBrush2).rgb;
    LOWP float a = tex.a;
    gl_FragColor = color*vec4(tex.rgb + (tbrush*tbrush2)*a , a );
}