function on_init_dialog()

	dialog.theme_flags = 1
    dialog.bevel_type = milk_bevel_type_none

	dialog:load_content('force_object_msgbox')
		
	create_dialog_elements()	
end

function create_dialog_elements()
    
    local info_plate = dialog:find_child("info_plate", true, false)
    if info_plate then
        info_plate.object_name = m_object_info.type_name
        info_plate:layout_controls()
    end
    
	local object_name_label = dialog:find_child("object_name_label", true, false)
    if object_name_label then
     	if object_name then
	     	object_name_label.caption = object_name
	    else
        	object_name_label.caption = m_object_info.description
        end
    end
     
	local force_label = dialog:find_child("force_label", true, false)
	if force_label then
		force_label.caption = string.format(force_label.caption, force_cost)
	end
end

function on_force_btn_action()
	force_callback()
    dialog:end_dialog()
end

function on_close_button_action()
    dialog:end_dialog()
end