function on_init_dialog()

	dialog.theme_flags = 2
    dialog.bevel_type = milk_bevel_type_none

	dialog:load_content('object_info_msgbox')
		
	create_dialog_elements()	
end

function create_dialog_elements()
    
    local dialog_title = dialog:find_child("dialog_title", true, false)
    
    local info_plate = dialog:find_child("info_plate", true, false)
    if info_plate then
        if m_object_info then
			 info_plate.object_name = m_object_info.type_name
			 dialog_title.caption = m_object_info.description
        else
			 info_plate.shop_item = m_shop_item
			 dialog_title.caption = m_shop_item.name
        end
        info_plate:layout_controls()
    end
    
    -- buff info
    if is_buff_object() then
        local buff_action_descr = dialog:find_child("buff_action_descr", true, false)
        local buff_info = dialog:find_child("buff_info", true, false)
        
        if buff_info then
            print 'buff_info ok'
            buff_info.visible = true
        else
            print 'buff_info empty'
        end

        if buff_action_descr then
            print 'buff_action_descr ok'

            --prize buff info
            local buff_key = get_prize_buff_type()
            local string_id = "*CityFortune_" .. buff_key
            print ('string_id = ' , string_id )
            
            local effect = get_prize_buff_effect_perc()
            local text = framework:strings():load(string_id, "+%d%% tax\nfrom near buildings")
            --text = "ww  +%d%% dd"
            print ('text = ', text)
            print ('effect = ', effect)
            buff_action_descr.caption = string.format(text,effect)
        else
            print 'buff_action_descr empty'
        end
    end
    ----------------------
end

function isempty(s)
  return s == nil or s == ''
end

function is_buff_object()
    if m_object_info then
        return get_prize_buff_effect_perc() ~= 0
    else
        return false
    end
end

function get_prize_buff_type()

    local buff_key = m_object_info.buff_key

print ( buff_key , ' = "', buff_key , '"')
    if isempty(buff_key) then
        buff_key = "buff_population"
    end
    return buff_key
end

function get_prize_buff_effect_perc()

    local ret = m_object_info.effect * 100
    -- ret = 0.15 * 100

    print ("m_object_info.type_name = ", m_object_info.type_name)
    print ('m_object_info.effect = ', m_object_info.effect)

    return math.floor(ret)
end

function on_ok_btn_action()
    dialog:end_dialog()
end

function on_close_button_action()
    dialog:end_dialog()
end
